Functions
FLAG_Management
Peripheral Driver » LL Driver » PKC » Functions

## Functions
__STATIC_INLINE uint32_t | ll_pkc_is_action_flag_it_done (pkc_regs_t *PKCx)
| Indicate whether the operation done interrupt is pending. More...
__STATIC_INLINE uint32_t | ll_pkc_is_action_flag_it_err (pkc_regs_t *PKCx)
| Indicate whether the operation error interrupt is pending. More...
__STATIC_INLINE uint32_t | ll_pkc_is_action_flag_it_big_add_overflow (pkc_regs_t *PKCx)
| Indicate whether the big integer overflow interrupt is pending. More...
__STATIC_INLINE void | ll_pkc_clear_flag_it_done (pkc_regs_t *PKCx)
| Clear the operation done interrupt flag. More...
__STATIC_INLINE void | ll_pkc_clear_flag_it_err (pkc_regs_t *PKCx)
| Clear the operation error interrupt flag. More...
__STATIC_INLINE void | ll_pkc_clear_flag_it_big_add_overflow (pkc_regs_t *PKCx)
| Clear the big integer overflow interrupt flag. More...
__STATIC_INLINE uint32_t | ll_pkc_is_action_flag_busy (pkc_regs_t *PKCx)
| Indicate whether the busy flag is set. More...

## Detailed Description

## Function Documentation

## ◆ ll_pkc_clear_flag_it_big_add_overflow()

__STATIC_INLINE void ll_pkc_clear_flag_it_big_add_overflow | ( | pkc_regs_t * | PKCx | ) |

Clear the big integer overflow interrupt flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTAT | BAOVF | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  none. |

Definition at line 2949 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_clear_flag_it_done()

__STATIC_INLINE void ll_pkc_clear_flag_it_done | ( | pkc_regs_t * | PKCx | ) |

Clear the operation done interrupt flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTAT | DONE | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  none. |

Definition at line 2911 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_clear_flag_it_err()

__STATIC_INLINE void ll_pkc_clear_flag_it_err | ( | pkc_regs_t * | PKCx | ) |

Clear the operation error interrupt flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTAT | ERR | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  none. |

Definition at line 2930 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_action_flag_busy()

__STATIC_INLINE uint32_t ll_pkc_is_action_flag_busy | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the busy flag is set.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | WORKSTAT | BUSY | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 2968 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_action_flag_it_big_add_overflow()

__STATIC_INLINE uint32_t ll_pkc_is_action_flag_it_big_add_overflow | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the big integer overflow interrupt is pending.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTAT | BAOVF | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 2892 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_action_flag_it_done()

__STATIC_INLINE uint32_t ll_pkc_is_action_flag_it_done | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the operation done interrupt is pending.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTAT | DONE | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 2854 of file gr55xx_ll_pkc.h.

## ◆ ll_pkc_is_action_flag_it_err()

__STATIC_INLINE uint32_t ll_pkc_is_action_flag_it_err | ( | pkc_regs_t * | PKCx | ) |

Indicate whether the operation error interrupt is pending.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTAT | ERR | +———————-+———————————–+ \endrst

Parameters

  PKCx | PKC instance

Return values

  State | of bit (1 or 0).

Definition at line 2873 of file gr55xx_ll_pkc.h.